Package org.eclipse.graphiti.internal.util

# Class AbstractTracer

java.lang.Object
org.eclipse.graphiti.internal.util.AbstractTracer

Direct Known Subclasses:
  `T`, `T`

public abstract class AbstractTracer extends Object
Adds `entering` to allow trace entries with any kind of parameters when a specific method is entered and `exiting` to allow trace entries with any kind of parameters when a method is exited. To create an instance, use the static method `T.racer()` from the concrete sub classes `org.eclipse.graphiti.util.T` or `org.eclipse.graphiti.ui.T` depending on the package you want to trace.

## Constructor Summary

Constructors
Constructor
Description
`AbstractTracer(String location)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`debug()`
`void`
`debug(String msg)`
`void`
`debug(String msg, Throwable throwable)`
`void`
`entering(Class<?> clazz, String signature, Object... args)`
Writes a trace entry that the specified method was entered.
`void`
`error(String msg)`
`void`
`error(String methodName, String msg)`
`void`
`error(String msg, Throwable throwable)`
`void`
`exiting(Class<?> clazz, String signature)`
Writes a trace entry that the specified method is about to be exited.
`void`
`exiting(Class<?> clazz, String signature, Object res)`
Writes a trace entry that the specified method is about to be exited.
`final boolean`
`getInfoAlwaysTrue()`
`boolean`
`info()`
`void`
`info(String msg)`
`void`
`info(String className, String methodName, String msg)`
`void`
`log(int level, String msg)`
`void`
`log(int level, String msg, Throwable throwable)`
`static void`
`setDebugLogging(boolean isDebugLogging)`
`final void`
`setInfoAlwaysTrue(boolean b)`
`static void`
`setInfoLogging(boolean isInfoLogging)`
`void`
`warning(String msg)`
`void`
`warning(String methodName, String msg)`
`void`
`warning(String msg, Throwable throwable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractTracer

public AbstractTracer(String location)

## Method Details

### setInfoLogging

public static void setInfoLogging(boolean isInfoLogging)

Parameters:
  `isInfoLogging` - the sIsInfoLogging to set

### setDebugLogging

public static void setDebugLogging(boolean isDebugLogging)

Parameters:
  `isDebugLogging` - the sIsDebugLogging to set

### entering

public void entering(Class<?> clazz, String signature, Object... args)
Writes a trace entry that the specified method was entered.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method
  `args` - Arguments as object references

### exiting

public void exiting(Class<?> clazz, String signature)
Writes a trace entry that the specified method is about to be exited.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method

### exiting

public void exiting(Class<?> clazz, String signature, Object res)
Writes a trace entry that the specified method is about to be exited.

Parameters:
  `clazz` - Class of the traced method
  `signature` - signature of the traced method
  `res` - Result as object reference

### debug

public boolean debug()

### debug

public void debug(String msg)

### debug

public void debug(String msg, Throwable throwable)

### error

public void error(String methodName, String msg)

### error

public void error(String msg, Throwable throwable)

### error

public void error(String msg)

### info

public boolean info()

### info

public void info(String className, String methodName, String msg)

### info

public void info(String msg)

### log

public void log(int level, String msg, Throwable throwable)

### log

public void log(int level, String msg)

### warning

public void warning(String methodName, String msg)

### warning

public void warning(String msg)

### warning

public void warning(String msg, Throwable throwable)

### getInfoAlwaysTrue

public final boolean getInfoAlwaysTrue()

### setInfoAlwaysTrue

public final void setInfoAlwaysTrue(boolean b)